import * as React from 'react'
import {useCallback, useState} from 'react'
import {jsSdk} from "../index";
import {Button, Input,Table,Tabs,Space} from "antd";

const {TextArea} = Input
const { TabPane } = Tabs;

const Actions: React.FC = () => {
  const [msg, setMsg] = useState<string>('')
  const [columns]=useState<any>([
    {
      title: '头像',
      dataIndex: 'avatar',
      render: (text:string, record:any) => (
        <Space size="middle">
          <img className='avatar' src={record.avatar} alt="" />
        </Space>
      ),
    },
    {
      title: '昵称',
      className: 'name',
      dataIndex:'name',
      align:'center'
    },
    {
      title: '手机号',
      dataIndex: 'phone',
      align:'center'
    },
    {
      title: '组织',
      dataIndex: 'org',
      align:'center'
    },
    {
      title: '操作',
      align:'center',
      dataIndex: 'action',
      render: (text:string, record:any) => (
        <Space size="middle">
          {record.link?
          <Button type="primary" danger onClick={unlink.bind(this,record)}>取消关联</Button>:
          <Button type="primary" onClick={link.bind(this,record)}>关联</Button>}
        </Space>
      ),
    }
  ])
  const [listData, setListData] = useState<any>([
    {
      key: '1',
      name: 'John Brown',
      avatar: 'https://t7.baidu.com/it/u=1595072465,3644073269&fm=193&f=GIF',
      phone: '13323232323',
      org:'行知',
      link:true
    },
    {
      key: '2',
      name: 'John Brown2',
      avatar: 'https://t7.baidu.com/it/u=1595072465,3644073269&fm=193&f=GIF',
      phone: '13323232323',
      org:'行知',
      link:false
    }
  ])
  const [tabs]=useState<any>(['客户档案','纷享销客','戈友好物','戈友圈'])
  // const tabIndex ='0'
  const [tabIndex,setTabindex] = useState('0')
  //事件
  //tab更改事件
  const callback = (e:any)=>{
    console.log(e,tabIndex)
    let newvalue = e
    setTabindex((tabIndex:any)=>{
      return newvalue
    })
    console.log(tabIndex)
    // this.setSate({

    // })
  }
  //关联
  const link = (value:any,e:any)=>{
    console.log(e)
  }
  //取消关联
  const unlink = (value:any,e:any)=>{
    console.log(e,value)
  }
  const sendMsg = useCallback(async () => {
    if (!msg) alert('消息不能为空')

    await jsSdk.invoke('sendChatMessage', {
      msgtype: 'text',
      text: {
        content: msg
      }
    });
  }, [msg])

  return (
    <div>
      <Tabs defaultActiveKey={tabIndex} onChange={callback.bind(this)} >
        {
          tabs.map((item:any,idx:number)=> <TabPane tab={item} key={idx}>
            <Table
              columns={columns}
              dataSource={listData}
              scroll={{ x: 300 }}
              bordered
            />
        </TabPane>)
        }
      </Tabs>
    </div>
  )
}

export default Actions
